Bug 244045 - php-pecl-apc will not install
php-pecl-apc will not install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-pecl-apc (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Chris Chabot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 10:21 EDT by Ryan Cavicchioni
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.14-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 10:03:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Cavicchioni 2007-06-13 10:21:52 EDT
Description of problem:


Version-Release number of selected component (if applicable): 3.0.12-1.fc6


How reproducible: Just install PHP APC via yum.


Steps to Reproduce:
1. yum install php-pecl-apc
2. Restart Apache
3. View phpinfo. The APC entry is not present. 

There is also the following entry in /var/log/httpd/error_log:
PHP Warning:  PHP Startup: apc: Unable to initialize module\nModule compiled
with module API=20050922, debug=0, thread-safety=0\nPHP    compiled with module
API=20060613, debug=0, thread-safety=0\nThese options need to match\n in Unknown
on line 0
  
Actual results:

Expected results:


Additional info: It seems that the php-pecl-apc package in the repositories is
the one for Fedora Core 6 (php-pecl-apc-3.0.12-1.fc6.i386.rpm). I was able to
run: "pecl install apc" to build a new version of apc.so and get it working
properly.
Comment 1 Remi Collet 2007-06-16 02:39:35 EDT
This package must follow the Guidelines :
http://fedoraproject.org/wiki/Packaging/PHP#head-435fc0b2b6fa2e807e89b72025848db84fea9d1c

This will avoid this error (no possible installation of incompatible version)
and allow ABI breakage detection.

Regards.
Comment 2 Remi Collet 2007-06-16 03:09:55 EDT
Don't now how to reaffect this bug to php-pecl-apc, so only Add Chris in CC.
Comment 3 Brandon Holbrook 2007-06-24 01:24:51 EDT
Ping...
Comment 4 Remi Collet 2007-06-24 01:36:50 EDT
Chris, i've build php-pecl-apc new version 3.0.14 without any problem.

Do you want me to push it to CVS ?

If yes, add me as co-maintener list.

Regards.
Comment 5 Chris Chabot 2007-06-28 10:47:47 EDT
Sorry was away from the build system for a while (fedora would only crash on my
machine), but back in buisness and updated version (3.0.14 for fc7 and devel) is
now in the queue to be pushed to updates.

Comment 6 Fedora Update System 2007-06-29 10:03:29 EDT
php-pecl-apc-3.0.14-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.